### Enumeration

# Xdp OutputType

unstable since: 1.0

#### Declaration

    flags Xdp.OutputType

#### Description [src]

Flags to specify what kind of sources to offer for a screencast session.

Available since: 1.0

#### Members

`XDP_OUTPUT_NONE`

  Do not select any output.

  - Value: `0`
  - Nickname: `none`
  - Available since: 1.0
`XDP_OUTPUT_MONITOR`

  Allow selecting monitors.

  - Value: `1`
  - Nickname: `monitor`
  - Available since: 1.0
`XDP_OUTPUT_WINDOW`

  Allow selecting individual application windows.

  - Value: `2`
  - Nickname: `window`
  - Available since: 1.0
`XDP_OUTPUT_VIRTUAL`

  Allow creating new virtual displays.

  - Value: `4`
  - Nickname: `virtual`
  - Available since: 1.0